import xml.dom.minidom as dom

type_name_to_class_mapping = {}

#print "plotobject_registry initialized"

def create_plot_object_from_xml(elem, plotarea):
    """Creates a PlotObject-derived object from a XML element"""

    assert isinstance(elem, dom.Element)
    typename = elem.getAttribute("type")
    klass = type_name_to_class_mapping[typename]
    return klass(elem, plotarea)

