import gtk
import warnings

def parse_bool(s_):
    s = s_.upper()
    if s == '0' or s == 'FALSE':
        return False
    elif s == '1' or s == 'TRUE':
        return True
    else:
        warnings.warn("Invalid boolean string '%s'" % s_)

def bool_str(b):
    if b: return "1"
    else: return "0"


# copied from gedit; converted to python
def button_new_with_stock_image(text, stock_id):
    button = gtk.Button(label=text, use_underline=True)
    button.set_image(gtk.image_new_from_stock(stock_id, gtk.ICON_SIZE_BUTTON))
    return button


# copied from gedit, converted to python
def dialog_add_button(dialog, text, stock_id, response_id):
    button = button_new_with_stock_image(text, stock_id)
    button.set_flags(gtk.CAN_DEFAULT)
    button.show()
    dialog.add_action_widget(button, response_id)
    return button


if __name__ == '__main__':
    # unit testing

    print "trying to get stream for writing"
    stream = get_stream("file:///tmp/foo.bar", True)
    stream.write("hello world")
    stream.unref()

    print "trying to get stream for reading"
    stream = get_stream("file:///tmp/foo.bar", False)
    print stream.read(bonobo.stream_client_get_length(stream))
    stream.unref()

    print "seems to work"

